#include <Arduino.h>
#include <U8g2lib.h>

#ifdef U8X8_HAVE_HW_SPI
#include <SPI.h>
#endif
#ifdef U8X8_HAVE_HW_I2C
#include <Wire.h>
#endif

#include <GyverBME280.h>
GyverBME280 bme;

#define MQ2pin (0) 
//SCL - d12, SI - d11, CS - d10, RS - d9, RSE - d8
U8G2_ST7565_ERC12864_ALT_F_4W_SW_SPI u8g2(U8G2_R0, /* clock=*/ 12, /* data=*/ 11, /* cs=*/ 10, /* dc=*/ 9, /* reset=*/ 8);

float sensorValue;  // переменная для хранения значения датчика MQ-2
void setup(void) {
  u8g2.begin();
  Serial.begin(9600); // настроить последовательный порт на скорость 9600
    pinMode(13, OUTPUT); //пин встроенного светодиода
  // запуск датчика и проверка на работоспособность
  if (!bme.begin(0x76)) Serial.println("Error!");     
}

void loop(void) {
  u8g2.clearBuffer();        // clear the internal memory
  u8g2.enableUTF8Print(); 
    // Выбираем шрифт в кодировке Unicode
  u8g2.setFont(u8g2_font_unifont_t_symbols);
  u8g2.setCursor(0, 16);
  u8g2.setContrast (80);
sensorValue = analogRead(MQ2pin); // прочитать аналоговый вход 0   
   u8g2.print("Level: ");
     u8g2.print(sensorValue);
   Serial.println(sensorValue); 
    if (sensorValue > 350)
{
  digitalWrite(13, HIGH);   // зажигаем светодиод
}
else
{
  digitalWrite(13, LOW);    // выключаем светодиод
}
  // температура
  u8g2.setCursor(0, 32);
  u8g2.print("Temp: ");
  u8g2.print(bme.readTemperature());

  u8g2.drawUTF8(80, 32, " °C");
  // влажность
  u8g2.setCursor(0,48);
  u8g2.print("Humidity: ");
  u8g2.print(bme.readHumidity());
  u8g2.print("%");
  // давление
  u8g2.setCursor(0,64);
  u8g2.print("Press: ");
  u8g2.print(bme.readPressure() * 0.00750062);  // Преобразуем Паскали в мм.рт.ст.
  // write something to the internal memory
  u8g2.sendBuffer();          // transfer internal memory to the display
  delay(10000);  
}
